# $Id: cosmosmash.spec.in,v 1.16 2010/05/17 01:17:23 sarrazip Exp $
# Spec file for cosmosmash

# Release number can be specified with rpm --define 'rel SOMETHING' ...
# If no such --define is used, the release number is 1.
#
# Source archive's extension can be specified with rpm --define 'srcext .foo'
# where .foo is the source archive's actual extension.
# To compile an RPM from a .bz2 source archive, give the command
#   rpmbuild -ta --define 'srcext .bz2' cosmosmash-1.4.5.tar.bz2
#
%if %{?rel:0}%{!?rel:1}
%define rel 1
%endif
%if %{?srcext:0}%{!?srcext:1}
%define srcext .gz
%endif

Summary: A space rock shooting video game
Name: cosmosmash
Version: 1.4.5
Release: %{rel}
License: GPL
Group: Amusements/Games
Source: %{name}-%{version}.tar%{srcext}
URL: http://sarrazip.com/dev/%{name}.html
Prefix: /usr
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	flatzebra	>= 0.1.5
BuildRequires:	flatzebra-devel	>= 0.1.5

%description
In this game, you control a base that must destroy
rocks before they hit the ground, or you lose points.
You must also prevent "spinners" from touching the ground,
or your base will explode.

%description -l fr
Dans ce jeu, vous contrôlez une base qui doit détruire
des rochers avant qu'il n'atteignent le sol, sinon vous
perdez des points.  Vous devez aussi empêcher des "spinners"
de toucher le sol sinon votre base va exploser.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -fR "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT" INSTALL="%{__install} -p"

%clean
rm -fR $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/sounds/*
%{_datadir}/applications/*
%{_mandir}/man*/*
%doc %{_defaultdocdir}/*
